com.intellectualcrafters.plot.database.sqlobjects

## Class SQLTable

- java.lang.Object
- - com.intellectualcrafters.plot.database.sqlobjects.SQLTable

- Direct Known Subclasses:
    PlotTable

      public abstract class SQLTable
      extends java.lang.Object

  Created by Citymonstret on 2014-10-28.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SQLTable(java.lang.String name, java.lang.String primaryKey, SQLField... fields)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `abstract void` | `create()`
    `SQLField[]` | `getFields()`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### SQLTable

          public SQLTable(java.lang.String name,
                  java.lang.String primaryKey,
                  SQLField... fields)

  - ### Method Detail

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### getFields

          public SQLField[] getFields()

    - #### create

          public abstract void create()